/* Здесь вы напишете основную часть стилей страницы.

Будьте внимательны! Для корректной работы скриптов на этом сайте нужно, чтобы в HTML некоторые классы были названы особым образом:
✦ like-icon — для svg-иконки анимированного сердца
✦ card__like-button — для кнопки Like рядом с иконкой
✦ card__icon-button — для кнопки, оборачивающей иконку
✦ card__icon-button — для кнопки, оборачивающей иконку
✦ is-liked — для обозначения состояния лайкнутой иконки в виде сердца
✦ button__text — для обозначения текстового элемента внутри кнопки

*/

.page {
  min-inline-size: 320px;
  min-block-size: 100dvb;
  font-family: var(--main-font), sans-serif;
  font-variation-settings: 'wght' var(--font-wght-text);
  background-image: var(--background-img);
  background-attachment: fixed;
  background-size: cover;
}

.header {
  margin: 100px 0;
}

.header__inner {
  display: flex;
  gap: 20px;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border: 2px solid #000;
  background-color: #FFFFFF;
  font-family: var(--accent-font);
  text-transform: uppercase;
  inline-size: var(--inline-size);
  block-size: var(--block-size);
}

.logo {
  font-size: var(--header-logo-size);
}

.header__title {
  font-size: var(--header-title-size);
}

.container {
  max-width: var(--container-width);
  /* block-size: var(--block-size);   */
  margin: 0 auto;
}

.main {
  display: flex;
  flex-direction: column;
  align-items: center;
  inline-size: var(--inline-size);
  /* block-size: var(--block-size); */
  margin-bottom: 100px;
}

.card {
  display: flex;
  flex-direction: column;
  background-color: #FFFFFF;
  border: 2px solid black;
}

.cards-list {
  display: flex;
  flex-direction: column;
  gap: 50px;
}

.card__title {
  font-size: var(--font-size-text);
  font-variation-settings: 'wght'  var(--font-wght-title);
  padding: 4px 10px;
}

.card__image-wrapper {
  position: relative;
  overflow: hidden;
}

.card__watermark {
  position: absolute;
  font-family: var(--accent-font);
  text-transform: uppercase;
  font-size: 14px;
  inset: 25px 25px auto auto;
  mix-blend-mode: hard-light;
  text-shadow:  -1px 0 var(--watermark-text-shadow-color),
                0 1px var(--watermark-text-shadow-color),
                1px 0 var(--watermark-text-shadow-color),
                0 -1px var(--watermark-text-shadow-color);
  opacity: .6;
  z-index: 1;
}

@supports ((text-stroke: 1px var(--watermark-text-shadow-color)) or (-webkit-text-stroke: 1px var(--watermark-text-shadow-color))) {
  .card__watermark {
    -webkit-text-stroke: 1px var(--watermark-text-shadow-color);
    text-stroke: 1px var(--watermark-text-shadow-color);
    text-shadow: none;
  }
} 

.card__image {
  width: 100%;
}

.card__image_filter_greyscale {
  filter: grayscale(0.6);
}

.card__image_filter_saturate {
  filter: saturate(150%);
}

.card__image_filter_sepia {
  filter: sepia(80%);
}

.card__image_filter_invert {
  filter: invert(0.9);
}

.card__image_filter_blur {
  filter: blur(15px);
}

.card__image_filter_opacity {
  filter: opacity(0.8);
}

.card__image_filter_mix {
  filter: grayscale(0.7) invert(0.9);
}

.card__description {
  display: flex;
  flex-direction: column;
  gap: 25px;
  margin: 25px;
}

.card__desription-text {
  line-height: 21px;
  font-size: var(--font-size-text);
}

.card__buttons {
  display: flex;
  align-items: center;
  gap: 7px;
  margin: 0 25px 25px 0;
  align-self: self-end;
}

.like-icon {
  flex-shrink: 0;
  transform-origin: center;
}

.card__icon-button {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0;
  inline-size: 39px;
  block-size: 39px;
  background-color: transparent;
  cursor: pointer;
  border: 2px solid transparent;
  transition: border 0.3s ease;
}

.card__icon-button:focus {
  outline: none;
}

.card__icon-button:focus-visible {
  outline: none;
  border: 2px solid #000;
}


.card__like-button {
  max-inline-size: 130px;
  max-block-size: 38px;
  padding: 12.5px 37px;
  font-family: var(--accent-font);
  font-size: 14px;
}

.button__text {
  font-family: var(--accent-font);
  font-size: 14px;
}

.save-icon {
  inline-size: 21px;
  block-size: 21px;
  margin-right: 8px;
}

.button {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  border: 2px solid #000;
  background-color: #FFFFFF;
  box-shadow: 0 0 0 transparent;
  transition: box-shadow 0.3s ease;
  color: var(--button-text-color);
}

.button::before {
  content: "";
  position: absolute;
  inset: 0;
  background: black;
  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.5s ease-in-out;
}

.button:hover::before {
  transform: scaleX(1);
}

.button:hover span,
.button:hover svg {
  mix-blend-mode: difference;
  color: var(--button-text-color-hover);
}

.button:focus {
  outline: none;
}

.button:focus-visible {
  box-shadow: 2px 2px #000;
  transition: box-shadow 0.3s ease;
}

.button_save {
  min-inline-size: 335px;
  min-block-size: 55px;
  margin-top: 50px;
}

/* popup-save dialog*/

.popup-save {
  max-inline-size: 353px;
  max-block-size: 191px;
  border: 2px solid #000;
  background-color: #FFFFFF;
  padding: 30px;
  display: none;
}

.popup-save[open] {
  display: flex;
}

.popup-save::backdrop {
  background-color: rgb(0 0 0 / 0.75);
}

.popup-save__wrapper {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.popup-message-wrapper {
  display: flex;
  align-items: center;
  gap: 20px;
}

.save-icon_popup {
  margin: 0;
  inline-size: 39px;
  block-size: 39px;
  flex-shrink: 0;
  z-index: 1;
}

.popup-message-text {
  font-family: var(--accent-font);
  font-size: 14px;
  line-height: 150%;
  text-transform: uppercase;
}

.button_ok {
  display: flex;
  justify-content: center;
  text-align: center;
  inline-size: 100%;
  min-block-size: 38px;
}

/* like-icon animation */

.contour {
  transition: fill 0.1s linear;
}

.main-body {
  fill: transparent;
  transition: fill 0.3s linear;
}

.like-icon:hover .main-body {
  fill: var(--animation-fill-color-hover);
  transition: fill 0.3s 0.05s linear;
}

.like-icon:active .main-body {
  fill: var(--animation-accent-color);
  transition: fill 0.3s 0.05s linear;
}

.core {
  fill: transparent;
  transition: fill 0.05s 0.3s linear;
}

.like-icon:hover .core {
  fill: var(--animation-fill-color-hover);
  transition: fill 0.3s linear;
}

.like-icon:active .core {
  fill: var(--animation-accent-color);
  transition: fill 0.3s linear;
}

.sparks {
  opacity: 0;
}

.like-icon.is-liked .core {
  fill: var(--animation-accent-color);
  transition: fill 0.3s linear;
}

.like-icon.is-liked .main-body {
  fill: var(--animation-accent-color);
  transition: fill 0.3s 0.05s linear;
}

.like-icon.is-liked .contour {
  fill: var(--animation-accent-color);
  transition: fill 0.3s 0.06s linear;
}

.like-icon.is-liked .heart {
  animation: scale-animation 0.1s 0.3s ease-in 1;
  transform-origin: center;
}

.like-icon.is-liked .sparks {
  fill: var(--animation-accent-color);
  animation: animation-opacity 0.3s 0.3s ease-in 1;
}


@media (width <= 375px) {
  .button_save {
    flex-direction: column;
    justify-content: center;
    min-inline-size: 306px;
    min-block-size: 84px;
  }

  .save-icon {
    min-inline-size: 28px;
    min-block-size: 28px;
    margin: 0 0 8px 0;
  }

  .popup-save {
    max-inline-size: 341px;
    max-block-size: 191px;
    padding: 30px 40px;
  }
}